Skip to main content
`Ctrl`+`K`

# miml.classifier.miml_classifier.MIMLClassifier

class miml.classifier.miml_classifier.MIMLClassifier

  Class to represent a MIMLClassifier

  __init__() → None

    Constructor of the class MIMLClassifier

  Methods

  `__init__`() | Constructor of the class MIMLClassifier
  `evaluate`(dataset_test) | Evaluate the model on a test dataset
  `fit`(dataset_train) | Training the classifier
  `fit_internal`(dataset_train) | Internal method to train the classifier
  `predict`(x) | Predict labels of given data
  `predict_bag`(bag) | Predict labels of a given bag
  `predict_proba`(dataset_test) | Predict probabilities of given dataset of having a positive label